Status: Closed

Priority: High
Pull request:

Description

There's a syntax error on ruby 1.8 in id_resolver.rb that prevents katello plugin from loading:

[ERROR 2014-07-03 05:17:44 Modules] Error while loading module hammer_cli_katello
Warning: An error occured while loading module hammer_cli_katello
[ERROR 2014-07-03 05:17:44 Modules] /usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/1lib/hamme
r_cli_katello/id_resolver.rb:65: syntax error, unexpected '.', expecting kEND
.call (options, api.resource(:organizations))
/usr/lib/ruby/site_ruby/1l.8/rubygems/custom_require.rb:31l:in ‘gem_original_require'
/usr/lib/ruby/site_ruby/1l.8/rubygems/custom_require.rb:31l:in "“require'
/usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/1lib/hammer_cli_katello.rb:24
/usr/lib/ruby/site_ruby/1l.8/rubygems/custom_require.rb:36:in "gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in "require'
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/1ib/hammer_cli/modules.rb:60:in "require_module'
.1/1lib/hammer_cli/modules.rb:39:in " load!'
.1/1lib/hammer_cli/modules.rb:54:in "~ load'
.1/1lib/hammer_cli/modules.rb:65:in "load_all'
.1/1lib/hammer_cli/modules.rb:64:in ‘each'
.1/1lib/hammer_cli/modules.rb:64:in "load_all'
.1/bin/hammer:89

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.
/usr/bin/hammer:19:in " load'
/usr/bin/hammer:19
Associated revisions

Revision 7998eae0 - 07/03/2014 06:40 AM - Tomas Strachota

Fixes #6481 - ruby 1.8 syntax error in id resolver

Revision ff1e47bc - 07/03/2014 09:03 AM - Tomas Strachota

Merge pull request #203 from tstrachota/syntax_fix

Fixes #6481 - ruby 1.8 syntax error in id resolver

History

#1 - 07/03/2014 06:42 AM - Tomas Strachota
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/hammer-cli-katello/pull/203

#2 - 07/03/2014 06:46 AM - Tomas Strachota
- Bugzilla link set to 1115921

#3 - 07/03/2014 09:00 AM - Eric Helms
https://github.com/Katello/hammer-cli-katello/pull/203

- Target version set to 48
- Difficulty set to medium

- Triaged changed from No to Yes

#4 - 07/03/2014 10:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|7998eae0eb0916db1d656ad8258096d312cf0dal.

#5 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
https://projects.theforeman.org/projects/katello/repository/hammer-cli-katello/revisions/7998eae0eb0916db1d656ad8258096d312cf0da1
http://www.tcpdf.org

